package java.sql;

import java.io.OutputStream;
import java.io.InputStream;

public interface Blob
{
    public abstract long length() throws SQLException;
    
    public abstract byte[] getBytes(long p0, int p1) throws SQLException;
    
    public abstract InputStream getBinaryStream() throws SQLException;
    
    public abstract long position(byte[] p0, long p1) throws SQLException;
    
    public abstract long position(Blob p0, long p1) throws SQLException;
    
    public abstract int setBytes(long p0, byte[] p1) throws SQLException;
    
    public abstract int setBytes(long p0, byte[] p1, int p2, int p3) throws SQLException;
    
    public abstract OutputStream setBinaryStream(long p0) throws SQLException;
    
    public abstract void truncate(long p0) throws SQLException;
    
    public abstract void free() throws SQLException;
    
    public abstract InputStream getBinaryStream(long p0, long p1) throws SQLException;
}
